using namespace std;

#include "boardprint.h"

int yPos[] = {
  0,
  1, 1,
  2, 2, 2,
  3, 3, 3, 3,
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
  5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5,
  6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
  7, 7, 7, 7, 7, 7, 7, 7, 7, 7,
  8, 8, 8, 8, 8, 8, 8, 8, 8,
  9, 9, 9, 9, 9, 9, 9, 9, 9, 9,
  10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10,
  11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11,
  12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12,
  13, 13, 13, 13,
  14, 14, 14,
  15, 15,
  16
};

/* note that these x positions must be scaled by 1 / sqrt(3) */

int xPos[] = {
  0,
  -1, 1,
  -2, 0, 2,
  -3, -1, 1, 3,
  -12, -10, -8, -6, -4, -2, 0, 2, 4, 6, 8, 10, 12,
  -11, -9, -7, -5, -3, -1, 1, 3, 5, 7, 9, 11,
  -10, -8, -6, -4, -2, 0, 2, 4, 6, 8, 10,
  -9, -7, -5, -3, -1, 1, 3, 5, 7, 9,
  -8, -6, -4, -2, 0, 2, 4, 6, 8,
  -9, -7, -5, -3, -1, 1, 3, 5, 7, 9,
  -10, -8, -6, -4, -2, 0, 2, 4, 6, 8, 10,
  -11, -9, -7, -5, -3, -1, 1, 3, 5, 7, 9, 11,
  -12, -10, -8, -6, -4, -2, 0, 2, 4, 6, 8, 10, 12,
  -3, -1, 1, 3,
  -2, 0, 2,
  -1, 1,
  0
};

int posColor[] = {
  LG,
  LG, LG,
  LG, LG, LG,
  LG, LG, LG, LG,
  DG, DG, DG, DG, MG, MG, MG, MG, MG, DG, DG, DG, DG,
  DG, DG, DG, MG, MG, MG, MG, MG, MG, DG, DG, DG,
  DG, DG, MG, MG, MG, MG, MG, MG, MG, DG, DG,
  DG, MG, MG, MG, MG, MG, MG, MG, MG, DG,
  MG, MG, MG, MG, MG, MG, MG, MG, MG,
  DG, MG, MG, MG, MG, MG, MG, MG, MG, DG,
  DG, DG, MG, MG, MG, MG, MG, MG, MG, DG, DG,
  DG, DG, DG, MG, MG, MG, MG, MG, MG, DG, DG, DG,
  DG, DG, DG, DG, MG, MG, MG, MG, MG, DG, DG, DG, DG,
  LG, LG, LG, LG,
  LG, LG, LG,
  LG, LG,
  LG
};

int hPosLeftCoord[17] = {
  0, -1, -2, -3, -12, -11, -10, -9, -8, -9, -10, -11, -12, -3, -2, -1, 0
};

int hPosRightCoord[17] = {
  0, 1, 2, 3, 12, 11, 10, 9, 8, 9, 10, 11, 12, 3, 2, 1, 0
};
